%define name mplayerplug-in
%define ver 0.71
%define mozilla_plugin_dir /usr/lib/mozilla/plugins
%{!?rh_ver:%define rh_ver %(cut -d' ' -f5 /etc/redhat-release )}

%define rel 1.%{rh_ver}

Name: %{name}
Version: %{ver}
Release: %{rel}
License: GPL
Group: Browser/Plugin
Summary: MPlayer Plugin for Netscape/Mozilla
URL: http://mplayerplug-in.sourceforge.net/
Packager: Michael A. Peters <mpeters@mac.com>
Source0: %{name}_v%{ver}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{ver}-root

%description
mplayerplug-in is a Netscape/Mozilla browser plugin to allow playing embedded movies on web pages.

%prep
rm -rf %buildroot && %{__mkdir} -p %buildroot%{mozilla_plugin_dir}
%setup -n %{name}

%build
%{__make}

%install
%{__install} -m755 mplayerplug-in.so %buildroot%{mozilla_plugin_dir}

%clean
rm -rf %buildroot

%files
%defattr (-,root,root)
%doc ChangeLog INSTALL README TODO
%{mozilla_plugin_dir}/mplayerplug-in.so

%changelog
* Mon Mar 03 2003 Michael A. Peters <mpeters@mac.com>
- created spec file
